Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025164
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2013-11-15 12:152013-12-19 12:30
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchFixed in SCM revision4062022a52bd
ProjectionnoneETAnoneTarget Version3.0MP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025164: View Implementation access is not assigned for automatic roles after installing it with a module

DescriptionIf we include a view implementation in a module, after installing the module it is necessary to create a new record in the view access window, because permissions are not added automatically to automatic roles.
Steps To Reproduce1) Create a module with a view implementation include on it
2) Install the module on a new environment
3) Notice that it is necessary to add permissions to the roles in order to access the window. This permission must be added automatically for automatic roles.
Proposed SolutionUpdate the OBUIAPP_Process_Access function to add the permissions into the obuiapp_view_role_access table
TagsNo tags attached.
Attached Filesdiff file icon Fix25164.diff [^] (2,229 bytes) 2013-12-04 07:52 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034328 acknowledgedplatform View Implementation accesses are not generated automatically for newly created roles 

-  Notes
(0062536)
hgbot (developer)
2013-12-05 06:43

Repository: erp/devel/pi
Changeset: 4062022a52bd8cc00fa6b0a66a76e0214711cf5f
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Dec 04 12:20:10 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4062022a52bd8cc00fa6b0a66a76e0214711cf5f [^]

Fixes Issue 25164 : View Implementation access is not assigned by default

View Implementation access is not assigned by default for modules.
Added logic to add view access when updating process access.

---
M modules/org.openbravo.client.application/src-db/database/model/functions/OBUIAPP_UPDATE_ACCESS.xml
---
(0062785)
AugustoMauch (developer)
2013-12-18 14:20

Code reviewed and verified in pi@469ba15fbba3
(0062822)
hudsonbot (developer)
2013-12-19 12:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b878bb51dc09 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-15 12:15 caristu New Issue
2013-11-15 12:15 caristu Assigned To => AugustoMauch
2013-11-15 12:15 caristu Modules => Core
2013-11-15 12:15 caristu Triggers an Emergency Pack => No
2013-11-15 12:21 caristu Issue Monitored: networkb
2013-11-15 12:24 caristu Category 00. Application dictionary => 01. General setup
2013-11-15 17:26 heccam Issue Monitored: heccam
2013-12-04 06:28 shankarb Assigned To AugustoMauch => shankarb
2013-12-04 07:45 shankarb Status new => scheduled
2013-12-04 07:45 shankarb fix_in_branch => pi
2013-12-04 07:52 shankarb File Added: Fix25164.diff
2013-12-05 06:38 shankarb Issue Monitored: AugustoMauch
2013-12-05 06:42 shankarb Review Assigned To => AugustoMauch
2013-12-05 06:42 shankarb fix_in_branch pi =>
2013-12-05 06:43 hgbot Checkin
2013-12-05 06:43 hgbot Note Added: 0062536
2013-12-05 06:43 hgbot Status scheduled => resolved
2013-12-05 06:43 hgbot Resolution open => fixed
2013-12-05 06:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4062022a52bd8cc00fa6b0a66a76e0214711cf5f [^]
2013-12-18 14:20 AugustoMauch Note Added: 0062785
2013-12-18 14:20 AugustoMauch Status resolved => closed
2013-12-18 14:20 AugustoMauch Fixed in Version => 3.0MP31
2013-12-19 12:30 hudsonbot Checkin
2013-12-19 12:30 hudsonbot Note Added: 0062822
2016-10-28 09:00 caristu Relationship added related to 0034328


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker